<?php
/**
 * Init functions
 *
 * @package profecient-child
 * @author jegtheme
 * @since 1.0.0
 */

if ( ! function_exists( 'profecient_child_enqueue_style' ) ) {
	/**
	 * Load child theme style
	 */
	function profecient_child_enqueue_style() {
		wp_enqueue_style( 'profecient-style', get_parent_theme_file_uri( '/style.css' ), array(), profecient_get_theme_version() );
		wp_enqueue_style( 'profecient-child-style', get_stylesheet_uri(), array( 'profecient-style' ), profecient_get_theme_version() );
	}

	add_action( 'wp_enqueue_scripts', 'profecient_child_enqueue_style' );
}

if ( ! function_exists( 'profecient_child_load_textdomain' ) ) {
	/**
	 * Load child theme text domain
	 */
	function profecient_child_load_textdomain() {
		load_theme_textdomain( 'profecient-child', get_template_directory() . '/languages' );
	}

	add_action( 'after_setup_theme', 'profecient_child_load_textdomain' );
}
