<?php
/**
 * Backdrop Filter Group Control Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\Elementor;

use Profecient\Essential\Elementor\Documents\Mega_Menu;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Elementor Profecient Class
 */
class Elementor {
	/**
	 * Class instance
	 *
	 * @var Elementor
	 */
	private static $instance;

	/**
	 * Return class instance
	 *
	 * @return Elementor
	 */
	public static function instance() {
		if ( null === static::$instance ) {
			static::$instance = new static();
		}

		return static::$instance;
	}

	/**
	 * Class constructor
	 */
	private function __construct() {
		$this->setup_hook();
	}

	/**
	 * Setup Hooks
	 */
	private function setup_hook() {
		add_action( 'elementor/controls/register', array( $this, 'register_controls_group' ) );

		add_action( 'init', array( $this, 'setup_init' ) );
	}

	/**
	 * Setup Init
	 */
	public function setup_init() {
		if ( class_exists( '\Jeg\Elementor_Kit\Init' ) ) {
			new Mega_Menu();
		}
	}

	/**
	 * Register Custom Control Groups
	 *
	 * @param \Elementor\Controls_Manager $controls_manager Control Manager.
	 */
	public function register_controls_group( \Elementor\Controls_Manager $controls_manager ) {
		$controls_manager->add_group_control( Controls\Backdrop_Filter::get_type(), new Controls\Backdrop_Filter() );
	}
}
