<?php
/**
 * Jeg Elementor Kit class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Jeg_Elementor_Kit
 */
class Jeg_Elementor_Kit {
	/**
	 * Class instance
	 *
	 * @var Jeg_Elementor_Kit
	 */
	private static $instance;

	/**
	 * Return class instance
	 *
	 * @return Jeg_Elementor_Kit
	 */
	public static function instance() {
		if ( null === static::$instance ) {
			static::$instance = new static();
		}

		return static::$instance;
	}

	/**
	 * Class constructor
	 */
	private function __construct() {
		$this->setup_init();
		$this->load_hook();
	}

	/**
	 * Setup Init
	 */
	private function setup_init() {
		if ( is_admin() ) {
			Dashboard\Dashboard::instance();
		}

		Templates\Template::instance();
		Extra_Option\Extra_Option::instance();
		Elements\Element::instance();
		Global_Option\Global_Option::instance();
		Ajax\Ajax::instance();

		if ( class_exists( '\Jeg\Elementor_Kit\Init' ) ) {
			Admin\Menu\Mega_Menu::instance();
		}
	}

	/**
	 * Load Hook
	 */
	private function load_hook() {
		add_filter( 'body_class', array( Dashboard\Template\Single_Product::class, 'load_body_class' ) );
	}
}
