<?php
/**
 * Product Single Images Elementor Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Elementor;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use \Jeg\Elementor_Kit\Elements\Elementor\Elementor_Kit_Abstract;

/**
 * Class Product_Single_Images_Elementor
 */
class Product_Single_Images_Elementor extends Elementor_Kit_Abstract {
	/**
	 * Element ID
	 *
	 * @return string
	 */
	public function get_elementor_id() {
		return 'profecient_product_single_images';
	}

	/**
	 * Enqueue custom styles.
	 *
	 * @return array
	 */
	public function get_script_depends() {
		return array( 'profecient-essential-single-product-images', 'wc-single-product' );
	}

	/**
	 * Set keywords.
	 */
	public function get_keywords() {
		return array( 'profecient', 'woocommerce', 'single', 'product', 'image', 'lightbox', 'wc' );
	}
}
