<?php
/**
 * Woocommerce Checkout Page Elementor Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Elementor;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Jeg\Elementor_Kit\Elements\Elementor\Elementor_Kit_Abstract;

/**
 * Class Woocommerce_Checkout_Page_Elementor
 */
class Woocommerce_Checkout_Page_Elementor extends Elementor_Kit_Abstract {
	/**
	 * Element ID
	 *
	 * @return string
	 */
	public function get_elementor_id() {
		return 'profecient_woocommerce_checkout_page';
	}

	/**
	 * Enqueue custom styles.
	 *
	 * @return array
	 */
	public function get_style_depends() {
		return array( 'select2' );
	}

	/**
	 * Enqueue custom scripts.
	 *
	 * @return array
	 */
	public function get_script_depends() {
		return array( 'profecient-essential-checkout-page', 'wc-checkout', 'selectWoo' );
	}

	/**
	 * Set keywords.
	 */
	public function get_keywords() {
		return array( 'profecient', 'woocommerce', 'single', 'product', 'wc' );
	}
}
