<?php
/**
 * Arhcive Description View Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use \Jeg\Elementor_Kit\Elements\Views\View_Abstract;

/**
 * Class Archive_Description_View
 */
class Archive_Description_View extends View_Abstract {
	/**
	 * Build content for frontend editor
	 *
	 * @param string $name
	 *
	 * @return string
	 */
	public function build_content_frontend( $name ) {
		$term        = get_queried_object();
		$description = isset( $term->description ) ? $term->description : '';
		$content     = apply_filters( 'profecient_archive_short_description', $description );

		return '<div class="' . $name . ' ' . $this->unique_id . '">' . $content . '</div>';
	}

	/**
	 * Build content for backend editor
	 *
	 * @param string $name
	 *
	 * @return string
	 */
	public function build_content_backend( $name ) {
		$content = apply_filters( 'profecient_archive_short_description', esc_html__( 'This is an example of the product short description.', 'profecient-essential' ) );

		return '<div class="' . $name . ' ' . $this->unique_id . '">' . $content . '</div>';
	}

	/**
	 * Build block content
	 */
	public function build_content() {
		return $this->build_content_separately( 'profecient-archive-description' );
	}
}
