<?php
/**
 * Back To Top View Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use \Jeg\Elementor_Kit\Elements\Views\View_Abstract;

/**
 * Class Back_To_Top_View
 */
class Back_To_Top_View extends View_Abstract {
	/**
	 * Build content
	 */
	public function build_content() {
		return '<div class="profecient-back-to-top ' . $this->unique_id . '">' . $this->build_button() . '</div>';
	}

	/**
	 * Build Button
	 */
	public function build_button() {
		$icon            = $this->render_icon_element( $this->attribute['sg_settings_icon'] );
		$text            = esc_html( $this->attribute['sg_settings_text'] );
		$animation_class = 'elementor-animation-' . esc_attr( $this->attribute['st_button_hover_animation'] );
		$button          = '<button class="profecient-back-to-top-button ' . $animation_class . '">' . $icon . $text . '</button>';

		return $button;
	}
}
