<?php
/**
 * Product Single Price View Class
 *
 * @package profecient-essenetial
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use \Jeg\Elementor_Kit\Elements\Views\View_Abstract;

/**
 * Class Product_Single_Price_View
 */
class Product_Single_Price_View extends View_Abstract {
	/**
	 * Build content for frontend editor
	 *
	 * @param string $name
	 *
	 * @return string
	 */
	public function build_content_frontend( $name ) {
		global $product;
		if ( null === $product || empty( $product ) ) {
			return $this->build_content_backend( $name );
		}
		ob_start();
		wc_get_template( '/single-product/price.php' );

		return '<div class="' . $name . ' ' . $this->unique_id . '">' . ob_get_clean() . '</div>';
	}

	/**
	 * Build content for backend editor
	 *
	 * @param string $name
	 *
	 * @return string
	 */
	public function build_content_backend( $name ) {
		$content = '<p class="' . esc_attr( apply_filters( 'woocommerce_product_price_class', 'price' ) ) . '">
						' . wc_format_sale_price( wc_price( 199 ), wc_price( 99 ) ) . '
					</p>';

		return '<div class="' . $name . ' ' . $this->unique_id . '">' . $content . '</div>';
	}

	/**
	 * Build block content
	 */
	public function build_content() {
		return $this->build_content_separately( 'profecient-product-price' );
	}
}
