<?php
/**
 * Text Background View Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use \Jeg\Elementor_Kit\Elements\Views\View_Abstract;

/**
 * Class Text_Background_View
 */
class Text_Background_View extends View_Abstract {

	/**
	 * Build block content
	 */
	public function build_content() {
		return '<div class="profecient-text-background ' . $this->unique_id . '">' . $this->build_button() . '</div>';
	}

	/**
	 * Build Text
	 */
	public function build_button() {
		$tag  = esc_html( $this->attribute['sg_settings_text_html_tag'] );
		$icon = $this->render_icon_element( $this->attribute['sg_settings_icon'] );
		$text = $this->attribute['sg_settings_text'];

		$text = str_replace( '{{profecient_icon}}', $icon, $text );
		$text = str_replace( '{{', '<span class="exclude">', $text );
		$text = str_replace( '}}', '</span>', $text );

		$content = '<' . $tag . ' class="text-background">' . $text . '</' . $tag . '>';

		return $content;
	}
}
