<?php
/**
 * Text Marquee View Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Jeg\Elementor_Kit\Elements\Views\View_Abstract;

/**
 * Class Text_Marquee_View
 *
 * @package Profecient\Essential\JKit\Elements\Views
 */
class Text_Marquee_View extends View_Abstract {
	/**
	 * Build block content
	 */
	public function build_content() {
		return '<div class="profecient-text-marquee">' . $this->text_marquee() . '</div>';
	}

	/**
	 * Render Text
	 *
	 * @param string $text Text Marquee.
	 * @param string $tag HTML Tag.
	 *
	 * @return HTML;
	 */
	private function render_text( $text, $tag ) {
		return '<' . $tag . ' class="text">' . $text . '</' . $tag . '>';
	}

	/**
	 * Reder Split Text
	 *
	 * @return HTML
	 */
	private function render_split_text() {
		$text = '';

		foreach ( $this->attribute['sg_marquee_text_splited'] as $text_option ) {
			$icon  = $this->render_icon_element( $text_option['sg_marquee_text_icon_split'] );
			$text .= $text_option['sg_marquee_text_split'] . $icon;
		}

		$content = $this->render_text( $text, $this->attribute['sg_marquee_text_html_tag'] );

		return $content;
	}

	/**
	 * Render Text Marquee
	 *
	 * @return HTML
	 */
	private function text_marquee() {
		$direction = $this->attribute['sg_settings_direction'];
		ob_start();
		?>
		<div class="text-marquee-wrapper">
			<div class="text-wrapper to-<?php echo esc_attr( $direction ); ?>">
				<?php
				if ( $this->attribute['sg_marquee_text_split_enabled'] === 'yes' ) {
					echo $this->render_split_text();
				} else {
					echo $this->render_text( $this->attribute['sg_marquee_text'], $this->attribute['sg_marquee_text_html_tag'] );
				}
				?>
			</div>
		</div>
		<?php
		return ob_get_clean();
	}
}
