<?php
/**
 * Timeline Widget View Class
 *
 * @package profecient-essential
 * @author jegtheme
 * @since 1.0.0
 */

namespace Profecient\Essential\JKit\Elements\Views;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Jeg\Elementor_Kit\Elements\Views\View_Abstract;

/**
 * Class Timeline_View
 */
class Timeline_View extends View_Abstract {
	/**
	 * Build block content
	 */
	public function build_content() {
		$output = '';

		foreach ( $this->attribute['sg_items'] as $item ) {
			$id        = 'elementor-repeater-item-' . esc_attr( $item['_id'] );
			$watermark = $this->attribute['st_watermark'] ? '<div class="timeline-watermark">' . $this->render_icon_element( $item['sg_items_icon'] ) . '</div>' : '';
			$classes   = empty( $item['sg_items_icon']['value'] ) ? 'no-badge' : '';

			$output .=
				'<li class="timeline-item ' . $id . ' ' . $classes . '">
                    <div class="timeline-content">
                    	<div class="timeline-content-wrap">
							<div class="timeline-badge">' . $this->render_icon_element( $item['sg_items_icon'] ) . '</div>
							<h4 class="timeline-subtitle">' . esc_attr( $item['sg_items_subtitle'] ) . '</h4>
							<h3 class="timeline-title">' . esc_attr( $item['sg_items_title'] ) . '</h3>
							<p class="timeline-desc">' . esc_attr( $item['sg_items_content'] ) . '</p>
							' . $watermark . '
						</div>
                    </div>
                    <div class="timeline-info">
                        <h4 class="timeline-date">' . esc_attr( $item['sg_items_date'] ) . '</h4>
                        <p class="timeline-place">' . esc_attr( $item['sg_items_place'] ) . '</p>
                    </div>
                    <div class="timeline-icon">' . $this->render_icon_element( $this->attribute['st_point_icon'] ) . '</div>
                </li>';
		}

		if ( ! empty( $output ) ) {
			$boxshadow       = $this->attribute['st_content_enable_boxshadow'] ? 'boxshadow' : '';
			$boxshadow_hover = $this->attribute['st_content_enable_boxshadow_hover'] ? 'boxshadow-hover' : '';
			$lineicon        = ! empty( $this->attribute['st_point_icon']['value'] ) ? 'lineicon' : '';
			$output          = '<ul class="timeline-items ' . $this->attribute['sg_icon_position'] . ' start-' . $this->attribute['sg_layout_start'] . ' ' . $boxshadow . ' ' . $boxshadow_hover . ' ' . $lineicon . '">' . $output . '</ul>';
		}

		return '<div class="profecient-timeline ' . $this->unique_id . '">' . $output . '<div class="timeline-progress"><span></span></div></div>';
	}
}
