<?php
/**
 * Autoload function
 *
 * @author jegtheme
 * @package profecient-essential
 * @since 1.0.0
 */

spl_autoload_register(
	function ( $class ) {
		$prefix   = 'Profecient\\Essential';
		$base_dir = PROFECIENT_ESSENTIAL_DIR . 'includes/';
		$len      = strlen( $prefix );

		if ( strncmp( $prefix, $class, $len ) !== 0 ) {
			return;
		}

		$array_path     = explode( '\\', substr( $class, $len ) );
		$relative_class = array_pop( $array_path );
		$class_path     = strtolower( implode( '/', $array_path ) );
		$class_name     = 'class-' . $relative_class . '.php';
		$file           = rtrim( $base_dir, '/' ) . str_replace( '_', '-', $class_path . '/' . strtolower( $class_name ) );

		if ( is_link( $file ) ) {
			$file = readlink( $file );
		}

		if ( is_file( $file ) ) {
			require $file;
		}
	}
);
