<?php
/*
 * Plugin Name:       Profecient Essential
 * Plugin URI:        https://profecient.jegtheme.com/
 * Description:       An essential plugin for Profecient Theme.
 * Version:           1.1.1
 * Requires at least: 6.0
 * Requires PHP:      7.4
 * Author:            jegtheme
 * Author URI:        https://themeforest.net/user/jegtheme
 * License:           https://themeforest.net/licenses
 * License URI:       https://themeforest.net/licenses
 * Update URI:        https://profecient.jegtheme.com/
 * Text Domain:       profecient-essential
 * Domain Path:       /languages
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Initial plugin hook
 */
add_action(
	'plugins_loaded',
	function () {
		defined( 'PROFECIENT_ESSENTIAL' ) || define( 'PROFECIENT_ESSENTIAL', 'profecient-essential' );
		defined( 'PROFECIENT_ESSENTIAL_VERSION' ) || define( 'PROFECIENT_ESSENTIAL_VERSION', '1.1.1' );
		defined( 'PROFECIENT_ESSENTIAL_URL' ) || define( 'PROFECIENT_ESSENTIAL_URL', plugins_url( PROFECIENT_ESSENTIAL ) );
		defined( 'PROFECIENT_ESSENTIAL_DIR' ) || define( 'PROFECIENT_ESSENTIAL_DIR', plugin_dir_path( __FILE__ ) );
		defined( 'PROFECIENT_ESSENTIAL_OPTION' ) || define( 'PROFECIENT_ESSENTIAL_OPTION', 'profecient_essential_option' );

		require_once 'lib/autoload.php';
		require_once 'lib/helper.php';

		\Profecient\Essential\Init::instance();
	},
	100
);

if ( ! function_exists( 'profecient_essential_notice' ) ) {
	/**
	 * Warning notice when the Profecient theme is not activated
	 */
	function profecient_essential_notice() {
		if ( defined( 'PROFECIENT' ) ) {
			return;
		}

		$button_link = add_query_arg(
			array(
				'action'     => 'activate',
				'stylesheet' => 'profecient-theme',
			),
			admin_url( 'themes.php' )
		);
		$button_link = wp_nonce_url( $button_link, 'switch-theme_' . 'profecient-theme' );

		?>
		<div class="notice notice-error">
			<p><?php printf( wp_kses( __( 'Please activate the Profecient Theme to able to use the Profecient Essential plugin. <a href="%s">Activate Now</a>', 'profecient-essential' ), wp_kses_allowed_html() ), $button_link ); ?></p>
		</div>
		<?php
	}

	add_action( 'admin_notices', 'profecient_essential_notice' );
}
