<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package profecient
 * @author jegtheme
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header();
?>
	<div id="top-title">
		<div  class="site-main">
			<header class="entry-header">
				<h1 class="entry-title">
					<?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'profecient-theme' ); ?>
				</h1>
			</header>
		</div>
	</div>
	<div id="primary" class="site-main">
		<div class="content-wrapper">
			<div class="not-found not-found-page">
				<h2>
					<?php esc_html_e( 'Page Not Found', 'profecient-theme' ); ?>
				</h2>
				<p>
					<?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'profecient-theme' ); ?>
				</p>
				<?php get_search_form(); ?>
				<p><?php printf( wp_kses( __( 'Please also consider using our navigation or back to the <a href="%1$s">Homepage</a>', 'profecient-theme' ), wp_kses_allowed_html() ), home_url() ); ?></p>
			</div>
		</div>
	</div>
<?php
get_footer();
