<?php
/**
 * The template for displaying all single posts
 *
 * @package profecient
 * @author jegtheme
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header();

while ( have_posts() ) :
	the_post();
	?>

	<div id="top-title">

		<div  class="site-main">

			<?php get_template_part( 'template-parts/entry-header-post' ); ?>

		</div>

	</div>

	<div id="primary" class="site-main <?php echo profecient_is_sidebar_active() ? 'has-sidebar' : ''; ?>">

		<div class="content">

			<?php

			get_template_part( 'template-parts/content', get_post_type() );

			if ( ! empty( get_the_author_meta( 'description' ) ) ) {
				get_template_part( 'template-parts/content', 'author' );
			}

			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

			?>

		</div>

		<?php get_sidebar(); ?>

	</div>

	<?php
endwhile;

get_footer();
